## org.apache.xerces.impl.xs.psvi
Interface XSIDCDefinition

All Superinterfaces:
  XSObject

All Known Implementing Classes:
  IdentityConstraint

public interface XSIDCDefinition
extends XSObject

This interface represents the Identity-constraint Definition schema component. The interface may be updated or replaced.

Field Summary
`static short` `IC_KEY`
`static short` `IC_KEYREF`
`static short` `IC_UNIQUE`

Method Summary
`XSObjectList` `getAnnotations()` A set of [annotations].
`short` `getCategory()` [identity-constraint category]: one of key, keyref or unique.
`StringList` `getFieldStrs()` [fields]: a non-empty list of restricted XPath ([XPath]) expressions.
`XSIDCDefinition` `getRefKey()` [referenced key]: required if [identity-constraint category] is keyref, forbidden otherwise.
`java.lang.String` `getSelectorStr()` [selector]: a restricted expression.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Field Detail

### IC_KEY

    public static final short IC_KEY

### IC_KEYREF

    public static final short IC_KEYREF

### IC_UNIQUE

    public static final short IC_UNIQUE

Method Detail

### getCategory

    public short getCategory()

  [identity-constraint category]: one of key, keyref or unique.

### getSelectorStr

    public java.lang.String getSelectorStr()

  [selector]: a restricted expression.

### getFieldStrs

    public StringList getFieldStrs()

  [fields]: a non-empty list of restricted XPath ([XPath]) expressions.

### getRefKey

    public XSIDCDefinition getRefKey()

  [referenced key]: required if [identity-constraint category] is keyref, forbidden otherwise. An identity-constraint definition with [ identity-constraint category] equal to key or unique.

### getAnnotations

    public XSObjectList getAnnotations()

  A set of [annotations].

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.